%define _rootdir /usr/local/opmon
%define _modname seagull

Summary: Seagull PHP Framework
Name: opservices-seagull
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: Proprietary
Group: Applications/System
URL: http://www.opservices.com.br
Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: opservices-oplib >= %{_op_major_version}, opservices-opcfg >= %{_op_major_version}, opservices-oplib-extjs >= %{_op_major_version}, opservices-oplib-tcpdf >= %{_op_major_version}, opservices-oplib-jpgraph >= %{_op_major_version}
Provides: opservices-seagull
Obsoletes: opmon-seagull063, opmon-seagull, opservices-seagull063

%description
Seagull 0.63
OpMon development framework

%prep

%setup -q

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_rootdir}/share/%{_modname} %{buildroot}%{_rootdir}/db
%{__cp} -rp .  %{buildroot}%{_rootdir}/share/%{_modname}/
%{__cp} db/%{_modname}.sql %{buildroot}%{_rootdir}/db/

%pre

%post
chown apache.apache /usr/local/opmon/share/seagull/var -R
ls -1 /usr/local/opmon/share/seagull/var/*conf.php |grep -v 127.0.0.1.conf.php |xargs rm -rf

# Database update
/usr/bin/php /usr/local/opmon/db/updatedb.php seagull.sql


%preun

%postun


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, opuser, apache, 0755)
%{_rootdir}/share/%{_modname}/
%{_rootdir}/db/%{_modname}.sql
%defattr(-, opuser, apache, 2775)
%dir %{_rootdir}/share/%{_modname}/var

